| Avidemux 2.6 Scripting Reference

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Enumerations
- Enumerator
- Properties

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- v
- w

All Classes Functions Enumerations Enumerator Properties Groups Pages

### - a -

- absoluteDirectory : FileInformation
- absoluteFilePath : FileInformation
- absolutePath : FileInformation , Directory
- absoluteStartTime : Segment
- activeVideoDecoders : Editor
- appliedVideoFilters : Editor
- atEnd : File
- audioInputFile : AudioOutput
- audioInputIndex : AudioOutput
- audioInputType : AudioOutput
- audioOutputs : Editor
- audioProperties : VideoFileProperties

### - b -

- baseName : FileInformation
- bitrate : AudioProperties
- bundleName : FileInformation
- bytesAvailable : File
- bytesToWrite : File

### - c -

- caching : FileInformation
- canonicalFilePath : FileInformation
- canonicalPath : FileInformation , Directory
- channels : AudioProperties
- checked : CheckBoxControl
- completeBaseName : FileInformation
- completeSuffix : FileInformation
- configuration : AudioEncoder , Muxer , VideoDecoder , VideoEncoder , VideoFilter
- controls : Dialog
- count : Directory
- created : FileInformation
- currentFrameProperties : Editor
- currentFrameTime : Editor
- currentMuxer : Editor
- currentPath : Directory
- currentVideoEncoder : Editor

### - d -

- decimals : DoubleSpinBoxControl
- defaultFileExtension : Muxer
- directory : FileInformation
- directoryName : Directory
- drcEnabled : AudioOutput
- drives : Directory
- duration : VideoOutput , Segment , VideoFileProperties

### - e -

- encoder : AudioOutput
- error : File
- errorString : File
- exists : Directory

### - f -

- fieldType : FrameProperties
- fileName : File , FileInformation
- filePath : FileInformation
- filter : Directory
- format : AudioProperties
- fourCC : VideoFileProperties
- frameRate : VideoFileProperties
- frameType : FrameProperties

### - g -

- gainMode : AudioOutput
- gainValue : AudioOutput
- group : FileInformation
- groupId : FileInformation

### - h -

- height : VideoFileProperties , VideoOutput
- homePath : Directory

### - i -

- isAbsolute : Directory
- isOpen : File
- isReadable : File , Directory
- isRelative : Directory
- isRoot : Directory
- isSequential : File
- isTextModeEnabled : File
- isWritable : File
- items : ComboBoxControl

### - l -

- lastModified : FileInformation
- lastRead : FileInformation
- length : SegmentCollection , ControlCollection , ComboBoxItemCollection , AudioOutputCollection , VideoFilterCollection

### - m -

- markerA : Editor
- markerB : Editor
- maximumValue : SliderControl , SpinBoxControl , DoubleSpinBoxControl
- minimumValue : SliderControl , SpinBoxControl , DoubleSpinBoxControl
- mixer : AudioOutput

### - n -

- name : AudioEncoder , Muxer , VideoFilter , VideoFileProperties , VideoEncoder , VideoDecoder
- nameFilters : Directory

### - o -

- openMode : File
- owner : FileInformation
- ownerId : FileInformation

### - p -

- parHeight : VideoFileProperties
- parWidth : VideoFileProperties
- path : FileInformation , Directory
- permissions : File , FileInformation
- position : File , Editor

### - q -

- quantiser : FrameProperties

### - r -

- relativeStartTime : Segment
- rootPath : Directory

### - s -

- sampleRate : AudioProperties
- samplingRate : AudioOutput
- segments : Editor
- selectedItem : ComboBoxControl
- selectedItemIndex : ComboBoxControl
- separator : Directory
- size : FileInformation , File
- sorting : Directory
- stretchAudioMode : AudioOutput
- suffix : FileInformation
- symLinkTarget : FileInformation

### - t -

- tempPath : Directory
- time : FrameProperties
- timeShift : AudioOutput
- title : SliderControl , CheckBoxControl , DoubleSpinBoxControl , ComboBoxItem , ComboBoxControl , LineEditControl , SpinBoxControl
- totalDuration : SegmentCollection

### - v -

- value : ComboBoxItem , DoubleSpinBoxControl , SliderControl , SpinBoxControl , LineEditControl
- videoCount : Editor
- videoFileProperties : VideoDecoder , Editor
- videoIndex : Segment
- videoOutput : VideoFilter

### - w -

- width : VideoFileProperties , VideoOutput